#
# spec file for package rubygem-activestorage-5.2
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-activestorage-5.2
Version:        5.2.3
Release:        bp156.3.1
%define mod_name activestorage
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5.2
# MANUAL
%if 0%{?suse_version} && 0%{?suse_version} < 1330
%define rb_build_versions ruby25 ruby26
%define rb_build_ruby_abis ruby:2.5.0 ruby:2.6.0
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Local and cloud file storage framework
License:        MIT
Group:          Development/Languages/Ruby

%description
Attach cloud and local files in Rails applications.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md MIT-LICENSE README.md" \
  -f

%gem_packages

%changelog
* Fri Mar 29 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.3
  see installed CHANGELOG.md
  [#]# Rails 5.2.3 (March 27, 2019) ##
  * No changes.
* Thu Mar 14 2019 Marcus Rueckert <mrueckert@suse.de>
- update to version 5.2.2.1:
  https://weblog.rubyonrails.org/2019/3/13/Rails-4-2-5-1-5-1-6-2-have-been-released/
  CVE-2019-5418 CVE-2019-5419 CVE-2019-5420
* Sat Jan 19 2019 Marcus Rueckert <mrueckert@suse.de>
- rb_build_ruby_abi needs to be rb_build_ruby_abis
* Fri Jan 18 2019 Marcus Rueckert <mrueckert@suse.de>
- limit to ruby 2.5 and above for 42.3/sle12
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.2.2
  see installed CHANGELOG.md
  [#]# Rails 5.2.2 (December 04, 2018) ##
  * Support multiple submit buttons in Active Storage forms.
  * Chrıs Seelus*
  * Fix `ArgumentError` when uploading to amazon s3
  * Hiroki Sanpei*
  * Add a foreign-key constraint to the `active_storage_attachments` table for blobs.
  * George Claghorn*
  * Discard `ActiveStorage::PurgeJobs` for missing blobs.
  * George Claghorn*
  * Fix uploading Tempfiles to Azure Storage.
  * George Claghorn*
* Mon Dec  3 2018 mschnitzer@suse.com
- updated to version 5.2.1.1 (boo#1118076)
- addresses a security vulnerability (CVE-2018-16477, boo#1117641)
  Signed download URLs generated by `ActiveStorage` for Google Cloud Storage
  service and Disk service include `content-disposition` and `content-type`
  parameters that an attacker can modify. This can be used to upload specially
  crafted HTML files and have them served and executed inline. Combined with
  other techniques such as cookie bombing and specially crafted AppCache
  manifests,
  an attacker can gain access to private signed URLs within a specific
  storage path.
  Vulnerable apps are those using either GCS or the Disk service in
  production.
  Other storage services such as S3 or Azure aren't affected.
  All users running an affected release should either upgrade or use one of
  the
  workarounds immediately. For those using GCS, it's also recommended to run
  the
  following to update existing blobs:
  ```
  ActiveStorage::Blob.find_each do |blob|
    blob.send :update_service_metadata
  end
  ```
* Wed Aug  8 2018 mschnitzer@suse.com
- updated to version 5.2.1 (boo#1104209)
  * Fix direct upload with zero-byte files.
    (George Claghorn)
  * Exclude JSON root from `active_storage/direct_uploads#create` response.
    (Javan Makhmali)
* Mon Apr 16 2018 mschnitzer@suse.com
- initialize package
  see changelog: https://github.com/rails/rails/blob/v5.2.0/activestorage/CHANGELOG.md
